Wbemcli.IWbemClassObject (JNA API)

com.sun.jna.platform.win32.COM

## Class Wbemcli.IWbemClassObject

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.COM.COMInvoker
    - - com.sun.jna.platform.win32.COM.Unknown
      - - com.sun.jna.platform.win32.COM.Wbemcli.IWbemClassObject

- All Implemented Interfaces:
    NativeMapped, IUnknown
  Enclosing interface:
    Wbemcli

      public static class Wbemcli.IWbemClassObject
      extends Unknown

  Contains and manipulates both WMI class definitions and class object instances.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.COM.Unknown

      `Unknown.ByReference`

  - ### Field Summary

    - ### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

      `IID_IUNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IWbemClassObject()`
    `IWbemClassObject(Pointer pvInstance)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WinNT.HRESULT` | `Get(java.lang.String wszName, int lFlags, Variant.VARIANT.ByReference pVal, IntByReference pType, IntByReference plFlavor)`
    `WinNT.HRESULT` | `Get(WString wszName, int lFlags, Variant.VARIANT.ByReference pVal, IntByReference pType, IntByReference plFlavor)`
    `Wbemcli.IWbemClassObject` | `GetMethod(java.lang.String wszName)`
    `WinNT.HRESULT` | `GetMethod(java.lang.String wszName, int lFlags, PointerByReference ppInSignature, PointerByReference ppOutSignature)`
    `WinNT.HRESULT` | `GetMethod(WString wszName, int lFlags, PointerByReference ppInSignature, PointerByReference ppOutSignature)`
    `java.lang.String[]` | `GetNames(java.lang.String wszQualifierName, int lFlags, Variant.VARIANT.ByReference pQualifierVal)`
    `WinNT.HRESULT` | `GetNames(java.lang.String wszQualifierName, int lFlags, Variant.VARIANT.ByReference pQualifierVal, PointerByReference pNames)`
    `WinNT.HRESULT` | `GetNames(WString wszQualifierName, int lFlags, Variant.VARIANT.ByReference pQualifierVal, PointerByReference pNames)`
    `Wbemcli.IWbemQualifierSet` | `GetPropertyQualifierSet(java.lang.String strProperty)`
    `WinNT.HRESULT` | `GetPropertyQualifierSet(WString wszProperty, PointerByReference ppQualSet)`
    `Wbemcli.IWbemQualifierSet` | `GetQualifierSet()`
    `WinNT.HRESULT` | `GetQualifierSet(PointerByReference ppQualSet)`
    `WinNT.HRESULT` | `Put(java.lang.String wszName, int lFlags, Variant.VARIANT pVal, int Type)`
    `void` | `Put(java.lang.String wszName, java.lang.String pValue)`
    `WinNT.HRESULT` | `Put(WString wszName, int lFlags, Variant.VARIANT pVal, int Type)`
    `Wbemcli.IWbemClassObject` | `SpawnInstance()`
    `WinNT.HRESULT` | `SpawnInstance(int lFlags, PointerByReference ppNewInstance)`

    - ### Methods inherited from class com.sun.jna.platform.win32.COM.Unknown

      `AddRef, QueryInterface, Release`

    - ### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

      `_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IWbemClassObject

          public IWbemClassObject()

    - #### IWbemClassObject

          public IWbemClassObject(Pointer pvInstance)

  - ### Method Detail

    - #### Get

          public WinNT.HRESULT Get(WString wszName,
                                   int lFlags,
                                   Variant.VARIANT.ByReference pVal,
                                   IntByReference pType,
                                   IntByReference plFlavor)

    - #### Get

          public WinNT.HRESULT Get(java.lang.String wszName,
                                   int lFlags,
                                   Variant.VARIANT.ByReference pVal,
                                   IntByReference pType,
                                   IntByReference plFlavor)

    - #### GetMethod

          public WinNT.HRESULT GetMethod(java.lang.String wszName,
                                         int lFlags,
                                         PointerByReference ppInSignature,
                                         PointerByReference ppOutSignature)

    - #### GetMethod

          public WinNT.HRESULT GetMethod(WString wszName,
                                         int lFlags,
                                         PointerByReference ppInSignature,
                                         PointerByReference ppOutSignature)

    - #### GetMethod

          public Wbemcli.IWbemClassObject GetMethod(java.lang.String wszName)

    - #### GetNames

          public WinNT.HRESULT GetNames(java.lang.String wszQualifierName,
                                        int lFlags,
                                        Variant.VARIANT.ByReference pQualifierVal,
                                        PointerByReference pNames)

    - #### GetNames

          public WinNT.HRESULT GetNames(WString wszQualifierName,
                                        int lFlags,
                                        Variant.VARIANT.ByReference pQualifierVal,
                                        PointerByReference pNames)

    - #### GetNames

          public java.lang.String[] GetNames(java.lang.String wszQualifierName,
                                             int lFlags,
                                             Variant.VARIANT.ByReference pQualifierVal)

    - #### GetQualifierSet

          public WinNT.HRESULT GetQualifierSet(PointerByReference ppQualSet)

    - #### GetQualifierSet

          public Wbemcli.IWbemQualifierSet GetQualifierSet()

    - #### GetPropertyQualifierSet

          public WinNT.HRESULT GetPropertyQualifierSet(WString wszProperty,
                                                       PointerByReference ppQualSet)

    - #### GetPropertyQualifierSet

          public Wbemcli.IWbemQualifierSet GetPropertyQualifierSet(java.lang.String strProperty)

    - #### Put

          public WinNT.HRESULT Put(java.lang.String wszName,
                                   int lFlags,
                                   Variant.VARIANT pVal,
                                   int Type)

    - #### Put

          public WinNT.HRESULT Put(WString wszName,
                                   int lFlags,
                                   Variant.VARIANT pVal,
                                   int Type)

    - #### Put

          public void Put(java.lang.String wszName,
                          java.lang.String pValue)

    - #### SpawnInstance

          public WinNT.HRESULT SpawnInstance(int lFlags,
                                             PointerByReference ppNewInstance)

    - #### SpawnInstance

          public Wbemcli.IWbemClassObject SpawnInstance()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.